Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.openide.src 1.8.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openide.src
Interface JavaDocTag.See

All Superinterfaces:
  JavaDocTag

Enclosing interface:
  JavaDocTag

    public static interface JavaDocTag.See

extends JavaDocTag

Represents a see also documentation tag.

Nested Class Summary

Nested classes/interfaces inherited from interface org.openide.src.JavaDocTag
`JavaDocTag.Param, JavaDocTag.See, JavaDocTag.SerialField, JavaDocTag.Throws`

Method Summary
`String` | `label()` Return the label of the see tag.
`String` | `referencedClassName()` get the class name part of @see, For instance, if the comment is @see String#startsWith(java.lang.String) .
`String` | `referencedMemberName()` get the name of the member referenced by the prototype part of @see, For instance, if the comment is @see String#startsWith(java.lang.String) .

Methods inherited from interface org.openide.src.JavaDocTag
`kind, name, text`

Method Detail

### label

    String label()

  Return the label of the see tag.

### referencedClassName

    String referencedClassName()

  get the class name part of @see, For instance, if the comment is @see String#startsWith(java.lang.String) . This function returns String. Returns null if format was not that of java reference. Return empty string if class name was not specified..

### referencedMemberName

    String referencedMemberName()

  get the name of the member referenced by the prototype part of @see, For instance, if the comment is @see String#startsWith(java.lang.String) . This function returns "startsWith(java.lang.String)" Returns null if format was not that of java reference. Return empty string if member name was not specified..

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.openide.src 1.8.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Built on December 7 2006. | Portions Copyright 1997-2005 Sun Microsystems, Inc. All rights reserved.